
From: janitor@sternwelten.at

Signed-off-by: Nishanth Aravamudan <nacc@us.ibm.com>
Signed-off-by: Maximilian Attems <janitor@sternwelten.at>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/cdrom/mcd.c |    7 +++----
 1 files changed, 3 insertions(+), 4 deletions(-)

diff -puN drivers/cdrom/mcd.c~mcd-replace-schedule_timeout-with-msleep drivers/cdrom/mcd.c
--- 25/drivers/cdrom/mcd.c~mcd-replace-schedule_timeout-with-msleep	2004-09-02 15:31:15.835336656 -0700
+++ 25-akpm/drivers/cdrom/mcd.c	2004-09-02 15:31:15.840335896 -0700
@@ -1021,10 +1021,9 @@ static int mcd_open(struct cdrom_device_
 		st = statusCmd();	/* check drive status */
 		if (st == -1)
 			goto err_out;	/* drive doesn't respond */
-		if ((st & MST_READY) == 0) {	/* no disk? wait a sec... */
-			current->state = TASK_INTERRUPTIBLE;
-			schedule_timeout(HZ);
-		}
+		if ((st & MST_READY) == 0) 	/* no disk? wait a sec... */
+			msleep(1000);
+
 	} while (((st & MST_READY) == 0) && count++ < MCD_RETRY_ATTEMPTS);
 
 	if (updateToc() < 0)
_
